url: https://bitcointalk.org/gettopics.php?user=2786&board=asdf
tags: [bitcoin, bitcointalk, sipa, technical-subforum, subforum, topics, threads,
  new-threads, search, output]
created: 2015-08-29 00:29:34 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=314506.0
tags: [bitcointalk, bitcoin, fraud-proofs, gmaxwell, spv, year-2013]
created: 2015-08-29 00:57:08 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=284194.0
tags: [bitcointalk, bitcoin, gmaxwell, cryptography, tree-secrets, cut-and-choose,
  bandwidth, encryption, lamport-signatures, compression, tiernolan]
created: 2015-08-29 00:59:09 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=277389.0
tags: [bitcointalk, bitcoin, coinwitness, snarks, cryptography, scalability, privacy,
  fungibility, soft-fork, zero-knowledge, scip, libsnark, anti-replay-oracle, proof-validation,
  proof-construction, off-chain, year-2013, gmaxwell, petertodd, p2sh, ultimate-blockchain-compression,
  compression, ultimate-compression, scaling]
created: 2015-08-29 01:00:19 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=279249.0
tags: [bitcointalk, bitcoin, coinjoin, privacy, technical-discussion, chaum-blind-signatures,
  blind-signatures, cryptography, signatures, blind-signing-servers, blind-signing,
  anonymity-set, transactions, mixing, mix-protocols, outputs]
created: 2015-08-29 01:04:52 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=281848.0
tags: [bitcointalk, bitcoin, scalability, coinjoin, transactions, cut-through, transaction-size-optimization,
  transaction-size, optimization, size, nlocktime, compression, tiernolan, year-2013]
created: 2015-08-29 01:05:47 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=56491.0
tags: [bitcointalk, bitcoin, scalability, blockchain, synchronization, sync, optimization,
  speed, year-2012, syncup, optimizations, mlock, mlockable-memory, memory]
created: 2015-08-29 01:11:59 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=47037.0
tags: [bitcointalk, bitcoin, scalability, signatures, cryptography, signature-schemes,
  bernstein-signature-scheme, bernstein-signature, ecdsa, verification, cheaper-signatures,
  cheap-signatures, lamport-signatures, tree-signatures]
created: 2015-08-29 01:13:58 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=19137.0
tags: [bitcointalk, bitcoin, deterministic-wallets, wallets, determinism, addresses,
  year-2011, gmaxwell, ecc-keys, ecc]
created: 2015-08-29 01:14:46 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=20432.0
tags: [bitcointalk, bitcoin, tor, onioncat, ipv6, privacy, anonymity, exit-nodes,
  network, gmaxwell, year-2011, wumpus]
created: 2015-08-29 01:18:05 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=119525.0
tags: [bitcointalk, bitcoin, pruning, ultraprune, year-2012, mike-hearn, leveldb,
  utxos, berkeleydb, ultrapruning, sipa, pieter-wuille]
created: 2015-08-29 01:20:17 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=102349.0
tags: [bitcointalk, bitcoin, sipa, pieter-wuille, gmaxwell, etotheipi, private-keys,
  deterministic-wallets, brainwallets, cryptography, seeds, sha256, hmac-sha512, hmac,
  mike-hearn, joelkatz, security, key-derivation, key-derivation-function, entropy,
  passphrases]
created: 2015-08-29 01:23:14 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=91954.0
tags: [bitcointalk, bitcoin, ultrapruning, ultraprune, pruning, pieter-wuille, sipa,
  bitcoin-core, year-2012]
created: 2015-08-29 01:23:56 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=12625.0
tags: [bitcointalk, bitcoin, sipa, pieter-wuille, fee-policy, fees, transaction-fees,
  fee, relaying, mining]
created: 2015-08-29 01:25:28 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=7830.0
tags: [bitcointalk, bitcoin, sipa, pieter-wuille, encryption, in-memory, aes-cbc-256,
  public-key-encryption, wallets, cryptography, security, secp256k1, aes, year-2011,
  hal-finney]
created: 2015-08-29 01:27:44 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=7638.0
tags: [bitcointalk, bitcoin, sipa, pieter-wuille, block-reward, continuous, decrease,
  curve, function, graph, rewards, mining, schedule, reward-schedule, halvening, halving]
created: 2015-08-29 01:28:50 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=6430.0
tags: [bitcointalk, bitcoin, ecdsa, signatures, cryptography, public-keys, roconnor,
  pieter-wuille, sipa, der-encoded, der, gavinandresen, OP_GENPUBKEY, signature-verification,
  transactions, verification, year-2011]
created: 2015-08-29 01:30:58 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=3461.0
tags: [bitcointalk, bitcoin, p2p, pooled-mining, mining-pools, mining, sipa, pieter-wuille,
  year-2011, p2p-pool]
created: 2015-08-29 01:32:16 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=91487.0
tags: [bitcointalk, bitcoin, petertodd, reputation, identity, merkle-paths, fraud-proofs]
created: 2015-08-29 01:34:30 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=100599.0
tags: [bitcointalk, bitcoin, petertodd, privacy, transactions, amounts, anonymity-set,
  chaum, taint, bitcoinfog, torwallet, knapsack-problem]
created: 2015-08-29 01:35:48 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=134827.0
tags: [bitcointalk, bitcoin, petertodd, fidelity-bonds, reputation, proof-of-burn,
  charity, bonding, fidelity-bond, proposal, year-2013]
created: 2015-08-29 01:37:23 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=137933.0
tags: [bitcointalk, bitcoin, petertodd, inflation-proofing, inflation, fraud-notices,
  fraud-proofs, fraud-proof, spv, mining, fraud-challenges, fraud-challenge, fraud-alert,
  proposal, mike-hearn, gmaxwell]
created: 2015-08-29 01:38:45 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=164079.0
tags: [bitcointalk, bitcoin, petertodd, proposal, blockheaders, blockheader, syncup,
  synchronization, syncing, blockchain, p2p, dns, twitter, btcblkhdr, gmaxwell, tor,
  retep, year-2013]
created: 2015-08-29 01:42:49 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=172047.0
tags: [bitcointalk, bitcoin, petertodd, fidelity-bonds, fidelity-bond, trustless,
  mixers, mixing, distributed-hash-tables, chaum-tokens, chaum-token, chaum, pseudonymity,
  tor-circuits, tor]
created: 2015-08-29 01:43:45 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=176684.0
tags: [bitcointalk, bitcoin, petertodd, mike-hearn, security, funding, decentralization,
  assurance-contracts, contracts, transaction-fees, block-size, max-block-size, off-chain,
  on-chain, checkpoints, go1111111, tiernolan, gavinandresen, instagibbs]
created: 2015-08-29 01:45:22 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=189792.0
tags: [bitcointalk, bitcoin, petertodd, video, block-size, max-block-size, year-2013,
  gavinandresen, mike-hearn, centralization, decentralization, stonecanoe]
created: 2015-08-29 01:48:19 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=201920.0
tags: [bitcointalk, bitcoin, petertodd, micropayments, payments, privacy, anonymity,
  hashcash, merkle-path, scalability, powpay, block-size, max-block-size, proposal,
  paypow, proof-of-work, proof-of-burn, adam3us, adam-back, merged-mining, payword]
created: 2015-08-29 01:50:30 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=208200.0
tags: [bitcointalk, bitcoin, petertodd, announcement, video, block-size, max-block-size,
  decentralization, gmaxwell, solex, keepbitcoinfree]
created: 2015-08-29 01:52:08 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=221164.0
tags: [bitcointalk, bitcoin, petertodd, gmaxwell, luke-dashjr, mining, pooled-solo-mining,
  pooled-mining, mining-pools, auditing, getblocktemplate]
created: 2015-08-29 01:53:00 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=283768.0
tags: [bitcointalk, bitcoin, petertodd, SIGHASH_SUM, signature-hash, proposal, summation,
  coinjoin, SIGHASH, signatures]
created: 2015-08-29 01:54:36 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=645120.0
tags: [bitcointalk, bitcoin, petertodd, replace-by-fee, incentive, incentives, mining,
  zero-confirmation-transactions, zeroconf, zeroconf-transactions, zero-confirmation,
  miners]
created: 2015-08-29 01:57:00 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=153133.0
tags: [bitcointalk, bitcoin, petertodd, utxo, utxo-bloating, utxo-bloat, bloat, block-size,
  max-block-size, year-2013]
created: 2015-08-29 01:58:09 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=180020.0
tags: [bitcointalk, bitcoin, adam3us, adam-back, hashcash, proof-of-work, scrypt,
  blending, phase-in, phasing, mining, pow, rpow]
created: 2015-08-29 02:02:59 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=182252.0
tags: [bitcointalk, bitcoin, adam3us, adam-back, hashcash, amoritizable-hashcash,
  mining-pools, mining, smart-contracts, reputation, variance, tiernolan, year-2013]
created: 2015-08-29 02:04:46 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=205533.0
tags: [bitcointalk, bitcoin, adam3us, adam-back, ecash, digigold, egold, systemics,
  revocability, unlinkability, zero-knowledge, cut-and-choose, proofs, cryptography,
  tainting, taint, privacy]
created: 2015-08-29 02:07:17 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=194573.0
tags: [bitcointalk, bitcoin, adam3us, adam-back, mining, orphans, orphan-blocks, year-2013,
  gmaxwell, first-past-the-post-race, network-latency, bandwidth, tiernolan, spv,
  p2pool]
created: 2015-08-29 02:08:31 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=206303.0
tags: [bitcointalk, bitcoin, adam3us, adam-back, gmaxwell, bitcoin-script, cryptography,
  ecdsa, OP_CHECKSIG, byzantine-voting-resilience, blind-symmetric-commitment, symmetric-key-commitment,
  unlinkable, reveal-time, byzantine-generals-problem, validation, validations, tahoe-lafs,
  security]
created: 2015-08-29 02:10:14 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=232787.0
tags: [bitcointalk, bitcoin, adam3us, adam-back, physical-coins, security, casascius,
  sd-card, cryptography, public-keys, discrete-logarithms, discrete-log, ecdsa, physical-bitcoins,
  smart-cards, nfc, trustlessness, trustless, limited-trust, year-2013]
created: 2015-08-29 02:11:53 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=225463.0
tags: [bitcointalk, bitcoin, adam-back, adam3us, introduction, hashcash, cryptography,
  background, cypherpunks, cypherpunk, ecash, wei-dai, b-money]
created: 2015-08-29 02:12:44 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=308009.0
tags: [bitcointalk, bitcoin, blind-hashcash, hashcash, adam3us, adam-back, blind-proof-of-work,
  blind, blinding, homomorphic-values, chris-odom, schnorr-signatures, unblindable,
  signature-forgery, cryptography, year-2013]
created: 2015-08-29 02:13:52 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=317835.0
tags: [bitcointalk, bitcoin, adam3us, adam-back, gmaxwell, petertodd, bip32, chain-code,
  deterministic-wallets, unlinkability, unlinkable, pairing-message, stealth-addresses,
  amir-taaki, year-2013]
created: 2015-08-29 02:17:30 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=330819.0
tags: [bitcointalk, bitcoin, adam3us, adam-back, cut-and-choose, chaum, physical-coins,
  proof, cryptography, bit-card, year-2013]
created: 2015-08-29 02:18:27 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=323474.0
tags: [bitcointalk, bitcoin, adam3us, adam-back, timelock, physical-coins, artially-transferable,
  non-transferable, security, cryptography, year-2013, OP_RETURN, maaku]
created: 2015-08-29 02:19:51 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=344839.0
tags: [bitcointalk, bitcoin, security, airgap, adam-back, adam3us, hsm, bip70, payment-protocol,
  pay-to-contract, x509, pgp, ssl, hierarchical-deterministic-wallets, deterministic-wallets,
  chain-code, signed-addresses, privacy, fungibility, year-2013]
created: 2015-08-29 02:21:45 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=373095.0
tags: [bitcointalk, bitcoin, cypherpunks, adam3us, adam-back, satoshi-nakamoto, b-money,
  scarcity, gold, wei-dai, year-2013, year-1997, year-1998, year-1999]
created: 2015-08-29 02:22:43 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=428494.0
tags: [bitcointalk, bitcoin, letstalkbitcoin, podcast, adam3us, adam-back, committed-transactions,
  decentralization, hashcash, coinjoin, payment-protocols, payments, zerocoin, zerocash,
  homomorphic-values, fungibility, privacy, hal-finney, wei-dai, schnorr-signatures,
  stefan-brands, zero-knowledge, maaku, year-2014]
created: 2015-08-29 02:24:17 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=431756.0
tags: [bitcointalk, bitcoin, adam3us, adam-back, gmaxwell, petertodd, jeremy-spillman,
  mike-hearn, bytecoin, reusable-addresses, bitcoin-development, spv, non-interactivity,
  dan-boneh, matt-franklin, IBE-scheme, nifs, reusable-address, cryptography, amir-taaki,
  bloom-query, ibe-filtering, filtering, year-2014]
created: 2015-08-29 02:25:56 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=856069.0
tags: [bitcointalk, bitcoin, adam3us, adam-back, year-2014, chaum, hal-finney, stefan-brands,
  ecash, electronic-cash, zerocoin, zero-knowledge, proof-of-set-membership, cryptography,
  unspent-coins, unspents, b-money, bitgold, sybil-resistance, wei-dai, nick-szabo,
  double-spending]
created: 2015-08-29 02:27:15 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=45456.0
tags: [bitcointalk, bitcoin, maaku, sha256, double-sha256, question, hashing, hash-functions]
created: 2015-08-29 04:20:46 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=45665.0
tags: [bitcointalk, bitcoin, maaku, transaction-fees, fees, fee, difficulty-retargeting,
  adjustment, tx-fees, fee-estimation]
created: 2015-08-29 04:21:24 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=3816.0
tags: [bitcointalk, bitcoin, jtimon, freicoin, demurrage, interest-rates, liquidity,
  interest, cryptocurrency, year-2011]
created: 2015-08-29 04:23:03 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=66794.0
tags: [bitcointalk, bitcoin, maaku, gmaxwell, meni-rosenfeld, exponential-distribution,
  retargeting, difficulty-retargeting, difficulty, arithmetic-mean, harmonic-mean,
  ining, miners, geometric-mean, poisson-process]
created: 2015-08-29 04:24:30 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=93245.0
tags: [bitcointalk, bitcoin, pull-request, gitian, deterministic-builds, determinism,
  virtual-machine, virtualbox, maaku, year-2012]
created: 2015-08-29 04:25:17 UTC
notes: ''
---
url: https://github.com/freicoin/freicoin/wiki/How-to-properly-handle-demurrage-in-applications
tags: [maaku, freicoin, demurrage, applications, how-to, howto, document, deterministic-wallets,
  accounting]
created: 2015-08-29 04:26:32 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=204283.0
tags: [bitcointalk, bitcoin, scalability, maaku, compression, blockchain, pruning,
  synchronization, syncup, syncing, utxos, utxo-set, scaling, etotheipi, jtimon, hybrid-tree,
  year-2013]
created: 2015-08-29 04:28:31 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=211498.0
tags: [bitcointalk, bitcoin, maaku, uuid, blockchain, chains, mainnet, testnet, identification,
  year-2013, proposal]
created: 2015-08-29 04:29:02 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=278671.0
tags: [bitcointalk, bitcoin, freimarkets, freicoin, p2p, maaku, jtimon, blockchain,
  assets, crowdfunding, merged-mined, merged-mining, partial-transactions, private-ledgers,
  pruning, scalability, dutch-auction, off-chain, year-2013]
created: 2015-08-29 04:31:01 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=291283.0
tags: [bitcointalk, bitcoin, maaku, coinjoin, crowdfunding, transactions, bitcoin-core,
  petertodd, year-2013]
created: 2015-08-29 04:32:05 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=279249.msg3041593#msg3041593
tags: [bitcointalk, bitcoin, petertodd, coinjoin, two-party, mixing, mix, privacy,
  anti-dos, year-2013]
created: 2015-08-29 04:32:34 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=471352.0
tags: [bitcointalk, bitcoin, maaku, proposal, normalized-txid, txid, canonical-txid,
  ntxid, pieter-wuille, sipa, transaction, transaction-hash, normative-transaction-identifiers,
  rfc-3548, normtxid, year-2014, transaction-malleability]
created: 2015-08-29 04:33:54 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=471562.0
tags: [bitcointalk, bitcoin, maaku, transaction-malleability, txid, ntxid, normative-transaction-identifiers,
  transaction-identifiers, mutant-transactions, non-standard, normtxid, year-2014]
created: 2015-08-29 04:34:45 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=11189.0
tags: [bitcointalk, bitcoin, killerstorm, year-2011, scalability, blockchain, distributed-hash-tables,
  verification, cross-chain, interoperability, multiple-chains, hubcoin, chain-migration,
  coin-migration]
created: 2015-08-29 04:38:31 UTC
notes: ''
---
url: https://www.reddit.com/r/Bitcoin/comments/hpvh3/solving_scalability_and_upgrade_path_problems/
tags: [reddit, bitcoin, year-2011, scalability, killerstorm, hubcoin, chain-migration,
  coin-migration]
created: 2015-08-29 04:38:42 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=106449.0
tags: [bitcointalk, bitcoin, killerstorm, year-2012, colored-coins, colored-bitcoin,
  coloring, colored]
created: 2015-08-29 04:40:13 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=117716.0
tags: [bitcointalk, bitcoin, scalability, killerstorm, pruning, aggressive-pruning,
  synchronization, syncup, syncing, utxos, pruned-utxos, year-2012]
created: 2015-08-29 04:41:33 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=80435.0
tags: [bitcointalk, bitcoin, meni-rosenfeld, scalability, utxos, outputs, bloat, blockchain,
  pruning, storage, year-2012]
created: 2015-08-29 04:42:40 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=7942.0
tags: [bitcointalk, bitcoin, pieter-wuille, sipa, pruning, txouts, txout, utxos, year-2011]
created: 2015-08-29 04:43:11 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1865.0
tags: [bitcointalk, bitcoin, caveden, scalability, proposal, blockchain, block-size,
  max-block-size, year-2010, theymos, bytecoin, moonshadow, mike-hearn, gavinandresen,
  insurance]
created: 2015-08-29 04:48:19 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=112007.0
tags: [bitcointalk, bitcoin, jgarzik, atomic-coin-swapping, swapping, atomic-swapping,
  atomic-swaps, coin-swapping, coin-swaps, SIGHASH_ALL, year-2012]
created: 2015-08-29 04:50:35 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=106373.msg1267002#msg1267002
tags: [bitcointalk, bitcoin, killerstorm, year-2012, p2p, laundering, mixing, coin-mixing,
  swap-transactions, swaps, swapping, atomic-swap]
created: 2015-08-29 04:51:19 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=138000.0
tags: [bitcointalk, bitcoin, killerstorm, smart-property, invoicing, invoices, contracts,
  contracting, colored-coins, p2ptrade, voucher, year-2013, proposal]
created: 2015-08-29 04:52:46 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=61181.0
tags: [bitcointalk, bitcoin, benrayfield, ben-rayfield, proposal, distributed-hash-tables,
  distributed-hash-table, hash-table, merkle-trees, avl-tree, binary-search-tree,
  search-tree, tree-rotations, binary-merkle-tree, merkle-tree, year-2012, scalability]
created: 2015-08-29 04:56:29 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=150681.0
tags: [bitcointalk, bitcoin, killerstorm, coin-mixing, mixing, chaum, blind-signatures,
  chaumian-blind-signatures, rsa-blind-signatures, blind-signing, ecc, cryptography,
  year-2013]
created: 2015-08-29 04:57:39 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=153662.0
tags: [bitcointalk, bitcoin, scalability, utxos, utxo-set, utxo, costs, bandwidth,
  latency, storage, killerstorm, year-2013]
created: 2015-08-29 04:59:46 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=313347.0
tags: [bitcointalk, bitcoin, killerstorm, merged-mining, ming, sidechains, consensus,
  dianna, spv, petertodd, year-2013]
created: 2015-08-29 05:01:10 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=21048.0
tags: [bitcointalk, bitcoin, tiernolan, tier-nolan, empty-blocks, blocks, blockchain,
  miners, mining, year-2011]
created: 2015-08-29 17:12:54 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=24651.0
tags: [bitcointalk, bitcoin, tiernolan, tier-nolan, opcodes, soft-forks, soft-forking,
  year-2011, upgrades, upgrading]
created: 2015-08-29 17:14:21 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=24656.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, headers-first, year-2011, headers,
  blockheaders, proposal, torrent, bittorrent, verification, p2p, flood-protection,
  verification-time, scalability, torrenting]
created: 2015-08-29 17:15:43 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=143792.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, hash-compression, p2pool, p2p,
  mining, links, pool-chain, year-2013, win-link, claim-link, proof-link, variance,
  proposal]
created: 2015-08-29 17:17:13 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=144865.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, year-2013, p2p, storage, blockheaders,
  routing-tables, routing, distributed-hash-table, route-tables, proposal, blocks,
  blockchain]
created: 2015-08-29 17:19:11 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=144895.msg1542430#msg1542430
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, proposal, max-block-size, block-size,
  year-2013, blockchains, alternative-chains, alt-chains, altchains, merged-mining]
created: 2015-08-29 17:20:10 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=144895.0
tags: [bitcointalk, bitcoin, petertodd, year-2013, max-block-size, block-size, incentives,
  centralization, decentralization, orphans, orphan-rate, empty-blocks, transactions,
  scalability, scaling, mining-incentives]
created: 2015-08-29 17:21:28 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=131493.0
tags: [bitcointalk, bitcoin, proposal, spv, merkle-tree, transactions, errors, security,
  mike-hearn, blocks, validity]
created: 2015-08-29 17:22:46 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=145677.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, proposal, utxos, mining, ahead-of-time,
  p2p, verification, max-block-size, block-size, scalability, scaling]
created: 2015-08-29 17:27:55 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=175639.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, proposal, OP_PARTIAL_MERKLE_ROOT,
  merkle-root, partial-merkle-tree, merkle-tree, opcode, blockheader, script, atomic-swaps,
  cross-chain, year-2013, scalability, scaling]
created: 2015-08-29 17:30:14 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=179598.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, proposal, proof-of-work, blockheaders,
  pow-header, blocks, sub-chain, sub-chain-blocks, subchains, subchain, soft-fork,
  orphan-rate, sub-chain-links, subchain-links, backwards-compatible, block-rate,
  scaling, scalability, confirmations, confirmation-time, year-2013]
created: 2015-08-29 17:34:53 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=180907.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, distributed-hash-tables, distributed-hash-table,
  missing-records, lost-records, hash-tables, kademlia, proposal, year-2013]
created: 2015-08-29 17:36:27 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=192369.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, proposal, utxos, utxo-set, utxo-size,
  growth-capping, capping, limit, growth-limit, transaction-fees, year-2013]
created: 2015-08-29 17:37:20 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=192524.0
tags: [bitcointalk, bitcoin, script, tier-nolan, tiernolan, proposal, OP_LOOP, loops,
  looping, cost-per-operation, price-per-operation, year-2013]
created: 2015-08-29 17:38:48 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=193281.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, atomic-swaps, atomic-transfers,
  merkle-tree, OP_SWAP, OP_CAT, year-2013]
created: 2015-08-29 17:39:56 UTC
notes: ''
---
url: https://en.bitcoin.it/w/index.php?title=Zero_Knowledge_Contingent_Payment
tags: [bitcoin, wiki, zero-knowledge, contingent-payment, payments, payment, hash-locked,
  hash-lock, hashlock, hashlocked, coinswap, privacy, proposal, verification]
created: 2015-08-29 17:40:58 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=193281.msg2224949#msg2224949
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, cross-chain, atomic-cross-chain-transfers,
  socrates1024, andrew-miller, year-2013]
created: 2015-08-29 17:43:50 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=219171.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, proposal, orphans, blockheaders,
  propagation, relaying, relay, partitions, splits, network-splitting, network-split,
  orphan-branch, year-2013]
created: 2015-08-29 17:45:21 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=244682.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, etotheipi, jl2012, subchains,
  sub-chains, confirmations, reorgs, reversals, orphan-rate, orphans, alt-chains,
  proposal, scaling, scalability, mining]
created: 2015-08-29 17:48:33 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=255110.msg2717864#msg2717864
tags: [bitcointalk, bitcoin, sergio-lerner, proposal, proposals, script, opcodes,
  PUSH_INPUT_AMOUNT, PUSH_INPUT_SCRIPT, PUSH_INPUT_COUNT, PUSH_FEES, PUSH_OUTPUT_AMOUNT,
  PUSH_TOTAL_OUTPUT, PUSH_OUTPUT_COUNT, PUSH_BLOCK_DATE, PUSH_BLOCK_NUMBER, PUSH_BLOCK_HASH,
  PARSE_SCRIPT_TOKEN, PUSH_PREVTX_OUTPUT, persistent-transaction-sequences, persistence,
  transactions, scalability, scaling, opcode]
created: 2015-08-29 17:51:16 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=257298.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, proposal, rpc, getheaders, getheader,
  sum-merkle-tree, merkle-tree, scalability, scaling, syncing, syncup, synchronization,
  blockheaders, headers-first, year-2013]
created: 2015-08-29 17:54:12 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=259592.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, soft-fork, difficulty-retargeting,
  retargeting, retargeting-rules, jl2012, difficulty-adjustment, proposal]
created: 2015-08-29 17:55:32 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=262281.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, proposal, forks, forking, fork-events,
  headers, blockheaders, blockchain, tree, tree-extension, orphan-branches, orphans,
  relaying, nodes, year-2013]
created: 2015-08-29 17:57:52 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=263996.0
tags: [bitcointalk, bitcoin, tiernolan, tier-nolan, year-2013, merkle-tree, fee-tree,
  blockheaders, merkle-root, txin, proposal, auxiliary-header]
created: 2015-08-29 18:02:27 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=272855.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, proposal, blocks, unvalidated-blocks,
  fastblock, fastblockrelay, block-relaying, block-relay, relaying, bloom-filters,
  relay-early-relay-often, full-match-bloom-filters, gmaxwell, bluematt, year-2013]
created: 2015-08-29 20:13:42 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=145066.0
tags: [bitcointalk, bitcoin, proposal, sergio-lerner, block-propagation, block-relaying,
  block-relay, block-size, p2pool, petertodd, getrawblock, sendrawblock, bloom-filters,
  bloom-filter, scalability, scaling, year-2013]
created: 2015-08-29 20:15:06 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=181734.0
tags: [bitcointalk, bitcoin, etotheipi, proposal, SIGHASH, SIGHASH_WITHINPUTVALUE,
  lightweight, OP_CODESEPARATOR, script, year-2013, txout-value, txouts, inputs, txin]
created: 2015-08-29 20:16:58 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=277471.0
tags: [bitcointalk, bitcoin, tiernolan, tier-nolan, spv, verification, compartmentalization,
  proposal, pruned-scriptsig, merkle-pruned-scriptsig, merkle-pruning, sum-tree, scaling,
  scalability, validation, year-2013]
created: 2015-08-29 20:19:06 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=369605.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, utxo-set, utxos, compression,
  ultimate-compression, pruning, merkle-paths, expanded-transactions, expanded-block,
  EXPANDED_STORE_NODE, merkle-abstract-syntax-tree, merklized-abstract-syntax-tree,
  merkle-tree, verification, extended-transactions, send-transactions-with-input-transactions-too,
  proposal, scalability, scaling, year-2013]
created: 2015-08-29 20:21:47 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=98986.0
tags: [bitcointalk, bitcoin, high-value-hash-highway, high-hash-highway, hash-highway,
  andrew-miller, socrates1024, merkle-skip-list, skip-list, proposal, scaling, scalability,
  cumulative-difficulty, year-2012, links, compact-spv-proofs, maaku]
created: 2015-08-29 20:24:47 UTC
notes: ''
---
url: http://sourceforge.net/p/bitcoin/mailman/message/32111357/
tags: [bitcoin, bitcoin-dev, mailing-list, email, maaku, proposal, skip-list, skip-lists,
  blockheader-commitments, commitments, spv, compact-spv-proofs, spv-proofs, simple-payment-verification,
  simplified-payment-verification, blocks, hash-tree, logarithmic-space, amiller,
  socrates1024, andrew-miller, year-2014, scalability, scaling]
created: 2015-08-29 20:25:59 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=406598.0
tags: [bitcointalk, bitcoin, hash-highway, tier-nolan, tiernolan, proposal, scalability,
  scaling, merkle-roots, merkle-root, merkle-tree, soft-fork, checkpoints, headers,
  blockheaders, synchronization, synchronizing, syncup, syncing, year-2014]
created: 2015-08-29 20:27:42 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=407328.0
tags: [bitcointalk, bitcoin, proposal, tiernolan, tier-nolan, proof-of-stake, transactions,
  coin-age, blockheader, soft-fork, reorgs]
created: 2015-08-29 20:28:37 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=193281.msg5833231#msg5833231
tags: [bitcointalk, bitcoin, cross-chain, atomic-cross-chain-transfers, malleability,
  refund-transactions, year-2014, k99, tiernolan, tier-nolan, proposal]
created: 2015-08-29 20:33:53 UTC
notes: ''
---
url: https://github.com/TierNolan/bips/blob/bip4x/bip-atom.mediawiki
tags: [bitcoin, bip, atomic-cross-chain-transfers, cross-chain, tier-nolan, tiernolan,
  draft, p2sh, proposal]
created: 2015-08-29 20:34:56 UTC
notes: ''
---
url: https://github.com/TierNolan/bips/blob/834f9f58c59a11e6e4ba7ac650dfe109ab09b9a9/bip-etx.mediawiki
tags: [bitcoin, bip, extended-transactions, extended-transaction, tier-nolan, tiernolan,
  proposal, github, utxos, transaction-serialization, scaling, scalability]
created: 2015-08-29 20:35:39 UTC
notes: ''
---
url: https://github.com/TierNolan/bips/blob/9a8fac56c3817396910729c8c1fb3959686b301f/bip-sum-merk.mediawiki
tags: [bitcoin, bip, github, merkle-tree, sum-merkle, sum-based-merkle-tree, sum-merkle-tree,
  hard-fork, spv, blockchain, validation, verification, fraud-proofs, offline-signing-efficiency,
  signing-efficiency, scaling, scalability, proposal, year-2014, tier-nolan, tiernolan]
created: 2015-08-29 20:36:36 UTC
notes: ''
---
url: https://github.com/TierNolan/bips/blob/00a8d3e1ac066ce3728658c6c40240e1c2ab859e/bip-aux-header.mediawiki
tags: [bitcoin, bip, auxiliary-headers, auxiliary-header, tiernolan, tier-nolan, proposal,
  blocks, blockheaders, soft-fork, extendable-auxiliary-header, utxo-set-commitment,
  sum-merkle-tree-commitments, sum-merkle-tree, sum-merkle, auxiliary-header-transaction,
  scalability, scaling, year-2014]
created: 2015-08-29 20:37:47 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=844944.0
tags: [bitcointalk, bitcoin, tiernolan, tier-nolan, hard-fork, hard-fork-wishlist,
  timewarp-fix, timewarp, extended-merkle-tree, merkle-tree, txout, outputs, transactions,
  utxo-commitments, auxiliary-headers, sum-merkle-tree, mandatory-p2sh, p2sh, sigops-per-block,
  sigop-limit, proposal, proposals, year-2014]
created: 2015-08-29 20:40:53 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=845978.0
tags: [bitcointalk, bitcoin, merkle-tree, sum-merkle, sum-merkle-tree, proposal, tier-nolan,
  tiernolan, scaling, scalability, spv, fraud-proofs, year-2014]
created: 2015-08-29 20:44:11 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=847538.0
tags: [bitcointalk, bitcoin, proposal, tiernolan, tier-nolan, aux-headers, auxiliary-header,
  auxiliary-headers, auxiliary-header-transaction, blockheaders, merkle-root, hard-fork,
  merkle-tree, merkle-branch, soft-fork, scalability, scaling, year-2014]
created: 2015-08-29 20:45:16 UTC
notes: ''
---
url: https://github.com/TheBlueMatt/RelayNode
tags: [bitcoin, relaynode, bluematt, relayer, relaying, bitcoinj, bitcoinrelaynetwork,
  github, open-source, software]
created: 2015-08-29 20:47:30 UTC
notes: ''
---
url: https://en.bitcoin.it/wiki/User:Gmaxwell/block_network_coding
tags: [bitcoin, wiki, blockheaders, blocks, nodes, p2p, interactive-protocol, set-reconciliation,
  gmaxwell, proposal, scalability, scaling]
created: 2015-08-29 20:48:41 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1048021.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, year-2015, utxo-commitments, commitment,
  utxo-set, verifiable-merkle-set, proof-of-existence, removal-proofs, insertion-proofs,
  replacement-proofs, proposal, spv, scalability, scaling]
created: 2015-08-29 20:50:33 UTC
notes: ''
---
url: https://gist.github.com/sipa/bf69659f43e763540550
tags: [bitcoin, sipa, bip, version-bits, soft-forks, soft-fork, petertodd, proposal]
created: 2015-08-29 20:53:57 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1056866.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, proposal, year-2015, extended-transactions,
  utxos, pruning, scalability, scaling, utxo-lite, UTXO_RAW, utxo-commitments, soft-fork,
  network-protocol]
created: 2015-08-29 20:55:47 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1065390.0
tags: [bitcointalk, bitcoin, orphan-transactions, orphans, transactions, tier-nolan,
  tiernolan, year-2015, hash-map, transaction-chaining, proposal, scalability, scaling,
  transaction-archival]
created: 2015-08-29 20:57:02 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1067534.0
tags: [bitcointalk, bitcoin, tiernolan, tier-nolan, helix-blockchain, utxos, destination-chain,
  utxo-set, helix, p2p, proposal, propagation-time, verification-time, soft-fork,
  year-2015, higher-confirmation-times, confirmation-time, confirmations, confirmation-period]
created: 2015-08-29 21:00:21 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1117914.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, block-size, max-block-size, random-block-size,
  random, proposal, scalability, scaling, year-2015, transaction-fees, confirmation-time,
  confirmations, reliability, useless, probably-useless]
created: 2015-08-29 21:02:45 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1100305.0
tags: [bitcointalk, bitcoin, tiernolan, tier-nolan, streaming-block-validation, stream-validation,
  streaming, validation, verification, scalability, scaling, proposal, year-2015,
  proof-of-publication, proof-of-publication-blocks, publication-chain, mining]
created: 2015-08-29 21:04:23 UTC
notes: ''
---
url: http://bitcoinrelaynetwork.org/
tags: [bitcoin, relaying, relay, network, bitcoinrelaynetwork, bluematt, scalability,
  scaling]
created: 2015-08-29 21:45:06 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1488.0
tags: [bitcointalk, bitcoin, jgarzik, year-2010, compression, blockchain, syncing,
  syncup, synchronization, initial-download, size, bzip, torrent, torrenting, bittorrent]
created: 2015-08-29 21:53:11 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=3493.0
tags: [bitcointalk, bitcoin, jgarzik, year-2011, pushpool, mining, mining-pool, mining-pools,
  proposal, software]
created: 2015-08-29 21:58:35 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=4749.0
tags: [bitcointalk, bitcoin, jgarzik, proposal, transactions, sequences, year-2011,
  reliability, deadlines, fill-or-kill, transaction-lifecycle, transaction-lifetime,
  transaction-life, determinism, limbo, transaction-limbo]
created: 2015-08-29 22:00:55 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=117982.0
tags: [bitcointalk, bitcoin, jgarzik, bittorrent, torrent, blockchain, download, synchronization,
  syncing, syncup]
created: 2015-08-29 22:02:00 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=153170.0
tags: [bitcointalk, bitcoin, year-2013, hard-fork, accidental-fork, dataset, data,
  bdb, leveldb, bug, fork, jgarzik, gavinandresen, petertodd]
created: 2015-08-29 22:03:48 UTC
notes: ''
---
url: https://en.bitcoin.it/wiki/Securing_online_services
tags: [bitcoin, wiki, security, trusted-platform-module, tpm, wallets]
created: 2015-08-29 22:04:43 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=553333.0
tags: [bitcointalk, bitcoin, jgarzik, mcp, payment-channel, software, bitcore, javascript,
  js, announcement]
created: 2015-08-29 22:06:56 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=156769.0
tags: [bitcointalk, bitcoin, jgarzik, p2p, udp, NODE_UDP, network, protocol]
created: 2015-08-29 22:07:37 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=38336.0
tags: [bitcointalk, bitcoin, software, announcement, mysteryhex, etotheipi, python,
  hex, data, identification, guessing, guess, year-2011]
created: 2015-08-29 22:15:15 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=75111.0
tags: [bitcointalk, bitcoin, etotheipi, merged-mining, proposal, migration, migrating,
  coin-migration, upgrading, bitcoin2, year-2012]
created: 2015-08-29 22:18:13 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=278992.0
tags: [bitcointalk, bitcoin, etotheipi, gmaxwell, locktime, san-jose, proposal, nlocktime,
  year-2013]
created: 2015-08-29 22:21:10 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=97462.0
tags: [bitcointalk, bitcoin, scalability, scaling, etotheipi, transactions, transaction-size,
  inputs, single-signature, hard-fork, proposal, size]
created: 2015-08-29 22:26:33 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=115084.0
tags: [bitcointalk, bitcoin, OP_BLOCKNUMBER, locktime, nlocktime, year-2012, gavinandresen,
  sipa, pieter-wuille, etotheipi, blockheight, transactions]
created: 2015-08-29 22:28:21 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=153401.msg11329252#msg11329252
tags: [bitcointalk, bitcoin, jl2012, utxo, utxosize, utxodiff, max-block-size, block-size,
  utxo-set-size, utxo-set, scalability, scaling, year-2015]
created: 2015-08-29 22:31:27 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=191003.0
tags: [bitcointalk, bitcoin, jl2012, OP_FEE, opcodes, script, proposal, transaction-fees,
  SIGHASH_WITHINPUTVALUE, SIGHASH_MULTIPLE, SIGHASH, sighash-types, year-2013]
created: 2015-08-29 22:32:38 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=248297.0
tags: [bitcointalk, bitcoin, jl2012, max-block-size, block-size, year-2013, proposal,
  proposals, partial-validating-clients, partially-validating-clients, spv, web-of-trust]
created: 2015-08-29 22:34:32 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=252960.0
tags: [bitcointalk, bitcoin, sighash-types, SIGHASH_MULTIPLE, jl2012, proposal, year-2013,
  SIGHASH_LIST]
created: 2015-08-29 22:35:47 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=212555.0
tags: [bitcointalk, bitcoin, SIGHASH_MULTIPLE, SIGHASH_LIST, sighash, sighash-types,
  jackjack, year-2013, assurance-contracts, hard-fork, soft-fork, jl2012]
created: 2015-08-29 22:36:39 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=255145.msg2757327#msg2757327
tags: [bitcointalk, bitcoin, petertodd, soft-forks, opcodes, new-opcodes, year-2013,
  merklized-abstract-syntax-tree, pieter-wuille, sipa, russell-oconnor, OP_MAST_EVAL,
  proposal, OP_DOUBLEBYTE_BEGIN, OP_NOTEQUAL]
created: 2015-08-29 22:38:32 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=253385.0
tags: [bitcointalk, bitcoin, jl2012, OP_CHECKCOLORVERIFY, soft-fork, colored-coins,
  colored-coin, checkcolorverify, smart-property, scalability, scaling, proposal,
  OP_CHECKCOLOR, tiernolan, tier-nolan, SIGHASH_WITHINPUTVALUE, OP_META, merklized-abstract-syntax-trees,
  petertodd]
created: 2015-08-29 22:39:30 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=181734.20
tags: [bitcointalk, bitcoin, OP_CHECKFEEVERIFY, OP_CHECKVALUE, year-2013, SIGHASH_WITHINPUTVALUE,
  proposal, opcodes, jl2012, petertodd, etotheipi, tiernolan, tier-nolan]
created: 2015-08-29 22:40:34 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=256516.0
tags: [bitcointalk, bitcoin, currency-divisibility, divisibility, decimals, satoshis,
  satoshi-BTC, OP_PBTC, picobtc, soft-fork, proposal, year-2013]
created: 2015-08-29 22:43:44 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=257135.0
tags: [bitcointalk, bitcoin, jl2012, gmaxwell, proof-of-work, mixed-pow, mixed-proof-of-work,
  sha256, scrypt, pow, pow-migration]
created: 2015-08-29 22:44:57 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=258931.0
tags: [bitcointalk, bitcoin, proposals, proposal, jl2012, OP_PUSHSCRIPTSIG, OP_PUSHINPUT,
  OP_PUSHOUTPUT, OP_CHECKSIG2, OP_CHECKSIG, opcodes, OP_EVAL2, OP_PUSHALLINPUTSWITHVALUE,
  OP_PUSHTHISINPUTWITHVALUE, OP_PUSHALLOUTPUTSWITHVALUE, OP_PUSHINPUTWITHVALUEBYBITMAP,
  OP_PUSHOUTPUTWITHVALUEBYBITMAP, OP_PUSHINPUTWITHVALUEBYRANGE, OP_PUSHOUTPUTWITHVALUEBYRANGE,
  OP_PUSHINPUTWITHVALUE, OP_PUSHOUTPUTWITHVALUE, OP_JOIN, OP_PUSHBLOCKHASH]
created: 2015-08-29 22:47:40 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=283746.0
tags: [bitcointalk, bitcoin, jl2012, proposal, scalability, scaling, OP_AUX, auxiliary-blocks,
  auxiliary-block, year-2013, aux-utxos, aux-block, aux-coins, tiernolan, tier-nolan,
  gmaxwell, petertodd, soft-fork, auxiliary, extension-blocks, extension-block]
created: 2015-08-29 22:55:30 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=552624.0
tags: [bitcointalk, bitcoin, scalability, scaling, mini-blockchain, transactions,
  transaction-types, account-balance-scheme, account-balance, transaction-outputs,
  outputs, output-approach, account-balance-approach, jl2012, protocol, proposal,
  year-2014]
created: 2015-08-29 23:00:48 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=643964.0
tags: [bitcointalk, bitcoin, jl2012, block-witness, fork-alert, fork-alerting, fork-alerts,
  miners, fork-detection, proposal, year-2014]
created: 2015-08-29 23:02:05 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1070100.0
tags: [bitcointalk, bitcoin, chainwork, chainwork-truncation, gmaxwell, jl2012, soft-fork,
  not-even-a-soft-fork, year-2015]
created: 2015-08-29 23:09:26 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1103281.0
tags: [bitcointalk, bitcoin, jl2012, tiernolan, tier-nolan, spv, partially-validating-nodes,
  partial-validating-nodes, partial-validation, fraud-proofs, inflation, false-minting,
  double-spending, merkle-sum-tree, sum-tree, merkle-tree, merkle-paths, year-2015,
  proposal, scalability, scaling]
created: 2015-08-29 23:11:13 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1106586.0
tags: [bitcointalk, bitcoin, jl2012, proposal, OP_RETURNTRUE, OP_NOP, soft-fork, hard-fork,
  tiernolan, tier-nolan, auxiliary-header, soft-forks, future-soft-forks, fork-planning,
  scalability, scaling]
created: 2015-08-29 23:13:14 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1047212.0
tags: [bitcointalk, bitcoin, jl2012, gmaxwell, compact-spv-proofs, efficient-spv-proofs,
  spv-proofs, spv, merkle-root, blockheaders, coinbase-transaction, proposal, sidechains]
created: 2015-08-30 00:03:29 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1129695.0
tags: [bitcointalk, bitcoin, tier-nolan, tiernolan, jl2012, utxo-revival, utxo-pruning,
  pruning, revival, utxo-commitments, utxo-commitment, year-2015]
created: 2015-08-30 00:05:06 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1151698.0
tags: [bitcointalk, bitcoin, jl2012, proposal, blockheaders, blockheader, data-structure,
  spv, merkle-sum-tree, sum-tree, compact-proofs, compact-spv-proofs, max-header-size,
  header-size, auxiliary-header, auxiliary-data, aux_data, merkle-blocks, year-2015,
  tier-nolan, tiernolan]
created: 2015-08-30 00:07:17 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=363.0
tags: [bitcointalk, bitcoin, gavinandresen, year-2010, testnet, test-network, network,
  announcement, release]
created: 2015-08-30 00:09:39 UTC
notes: ''
---
url: http://gavintech.blogspot.com/
tags: [gavinandresen, blog, blogspot]
created: 2015-08-30 00:10:31 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=5187.0
tags: [bitcointalk, bitcoin, gavinandresen, proposal, paypal, paypal-compatible, api]
created: 2015-08-30 00:16:40 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=6652.0
tags: [bitcointalk, bitcoin, gavinandresen, cia, cia-visit, cia-headquarters, cia-hq,
  year-2011]
created: 2015-08-30 00:19:40 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=49764.0
tags: [bitcointalk, bitcoin, gavinandresen, OP_EVAL, bip11, bip12, bip13, announcement,
  year-2011]
created: 2015-08-30 00:28:09 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=60433.0
tags: [bitcointalk, bitcoin, gavinandresen, bip17, p2sh, year-2012, proposal, pay-to-scripthash,
  luke-jr, luke-dashjr, bip]
created: 2015-08-30 00:29:56 UTC
notes: ''
---
url: http://gavinthink.blogspot.com/2011/04/wise-leader-fallacy.html
tags: [gavinandresen, blog, blog-post, leadership, wise-leader-fallacy, fallacy, year-2011]
created: 2015-08-30 00:31:10 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=61125.0
tags: [bitcointalk, bitcoin, gavinandresen, bip16, bip17, luke-dashjr, luke-jr, bip12,
  multisig, year-2012]
created: 2015-08-30 00:33:34 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=61248.0
tags: [bitcointalk, bitcoin, bip16, gavinandresen]
created: 2015-08-30 00:34:04 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=62037.0
tags: [bitcointalk, bitcoin, gavinandresen, luke-jr, luke-dashjr, poisonous, toxic,
  people, people-problems, drama]
created: 2015-08-30 00:36:08 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=92558.0
tags: [bitcointalk, bitcoin, gavinandresen, gmaxwell, blockheight, bip34, bip, coinbase-transactions,
  bip30]
created: 2015-08-30 00:38:46 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=108423.0
tags: [bitcointalk, bitcoin, gavinandresen, OP_DROP, scalability, scaling, opcode,
  proposal, year-2012, ultraprune, ultrapruning, scriptsigs, scriptsig]
created: 2015-08-30 00:41:12 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=128442.0
tags: [bitcointalk, bitcoin, gavinandresen, proposal, bip70, bip, payments, invoices,
  receipts, year-2012, payment-protocol]
created: 2015-08-30 00:42:40 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=635317.0
tags: [bitcointalk, bitcoin, payment-protocol, gavinandresen, x509, privacy]
created: 2015-08-30 00:43:40 UTC
notes: ''
---
url: https://en.bitcoin.it/wiki/Scalability
tags: [bitcoin, wiki, scalability, block-size, max-block-size, bandwidth, storage,
  latency, performance, optimizations, simplified-payment-verification, spv, secp256k1,
  ed25519, lightning-network, payment-channels, scaling]
created: 2015-08-30 00:47:08 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1790.msg28715#msg28715
tags: [bitcointalk, bitcoin, satoshi-nakamoto, year-2010, bitdns, merkle-tree, namecoin,
  dns, domain-names]
created: 2015-08-30 00:49:03 UTC
notes: ''
---
url: https://en.bitcoin.it/wiki/Contract
tags: [bitcoin, wiki, contracts, smart-contracts]
created: 2015-08-30 00:52:30 UTC
notes: ''
---
url: http://www.slideshare.net/dakami/bitcoin-8776098
tags: [dan-kaminsky, bitcoin, blockchain, scalability, scaling, slides, slideshare,
  partial-collisions, partial-collision, hashing, banks, banking]
created: 2015-08-30 00:59:51 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=34597.0
tags: [bitcointalk, bitcoin, mike-hearn, dan-kaminsky, scaling, scalability, banks,
  centralization]
created: 2015-08-30 01:02:10 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=157130.0
tags: [bitcointalk, bitcoin, mike-hearn, blacklists, blacklist, blacklisting, year-2013]
created: 2015-08-30 01:07:59 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=157141.0
tags: [bitcointalk, bitcoin, max-block-size, block-size, assurance-contract, mike-hearn]
created: 2015-08-30 01:08:44 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=240103.0
tags: [bitcointalk, bitcoin, mike-hearn, facebook, friend-picker, profile-photo, keys-in-pics,
  keys-in-photos, proposal, social-network, pay-to-social-network-profile]
created: 2015-08-30 01:10:57 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=300809.0
tags: [bitcointalk, bitcoin, mike-hearn, bip70, bip71, bip72, payment-protocol, overview,
  review, year-2013]
created: 2015-08-30 01:12:08 UTC
notes: ''
---
url: http://omegataupodcast.net/2011/03/59-bitcoin-a-digital-decentralized-currency/
tags: [bitcoin, gavinandresen, podcast, year-2011]
created: 2015-08-30 01:16:51 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=274749.0
tags: [bitcointalk, ad-injection, code-injection, ads, advertisements, theymos, security,
  forum]
created: 2015-08-30 01:21:52 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=788142.0
tags: [bitcointalk, theymos, ddos, ddos-protection, denial-of-service, security]
created: 2015-08-30 01:24:39 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1491.0
tags: [bitcointalk, bitcoin, bitcoin-otc, irc, nanotube, proposal, announcement, otc,
  over-the-counter, web-of-trust]
created: 2015-08-30 01:35:55 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=8069.0
tags: [bitcointalk, bitcoin, nanotube, culture, poem, song, lyrics, mining]
created: 2015-08-30 01:36:32 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=1786.0
tags: [bitcointalk, bitcoin, OP_BLOCKNUMBER, must-spend-by, must-spend, revocable,
  revocability, time-limited, nlocktime, locktime, year-2010, bytecoin, proposal]
created: 2015-08-30 01:40:25 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=46538.0
tags: [bitcointalk, bitcoin, bytecoin, proposal, OP_EVAL, year-2011, opcode]
created: 2015-08-30 01:42:06 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=327064.0
tags: [bitcointalk, bitcoin, bytecoin, gavinandresen, adam3us, adam-back, selfish-mining,
  paper, mining, eyal, sirer, research]
created: 2015-08-30 01:43:24 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=62558.0
tags: [bitcointalk, bitcoin, mike-caldwell, casascius, probabilistic-payments, proposal,
  scalability, scaling, year-2012]
created: 2015-08-30 02:00:57 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=127250.0
tags: [bitcointalk, bitcoin, casascius, mike-caldwell, bip38, bip, password-protected,
  private-key, wallet, security, proposal, year-2012]
created: 2015-08-30 02:05:13 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=129317.0
tags: [bitcointalk, bitcoin, casascius, mike-caldwell, bip38, bip, password-protected,
  private-key, wallet, security, proposal, year-2012]
created: 2015-08-30 02:05:25 UTC
notes: ''
---
url: https://news.ycombinator.com/item?id=10141469
tags: [hacker-news, startups, ideas, ideas-are-cheap, cheap-ideas, bad-ideas, good-ideas,
  multiplier]
created: 2015-08-30 02:43:27 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/
tags: [bitcoin, bitcoin-dev, mailing-list, email, archives, archive, mailman, pipermail,
  open-source, software, development, engineering, research, linuxfoundation]
created: 2015-08-30 02:48:22 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2011-June/000063.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, john-smith, hash-map, scalability,
  scaling, accounts, addresses, balances, proposal, year-2011]
created: 2015-08-30 02:52:15 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2011-June/000072.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, full-disclosure, doug-huff, security,
  vulnerability, mtgox, trading, matching-engine, exchange, hilarious, comedy, bug]
created: 2015-08-30 02:55:08 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2011-July/000144.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, sipa, pieter-wuille, version-bytes,
  versions, protocol, standardization]
created: 2015-08-30 02:58:33 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=30646.0
tags: [bitcointalk, bitcoin, libbitcoin, amir-taaki, genjix, announcement, open-source,
  software]
created: 2015-08-30 03:00:03 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2011-August/000398.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, sipa, pieter-wuille, OP_BITCOUNT,
  proposal, opcodes, disabled-opcodes, year-2011]
created: 2015-08-30 03:10:50 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2011-September/000458.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, gavinandresen, skip-verification,
  syncup, synchronization, initial-download, verification, skipping, scalability,
  optimization, scaling, year-2011, pull-request]
created: 2015-08-30 03:13:02 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2011-September/000459.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, gavinandresen, optimization, database,
  writes, transactions, txins, inputs, pull-request, year-2011]
created: 2015-08-30 03:13:44 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2011-September/000533.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, gavinandresen, pull-request, github,
  misbehaving-peers, peers, p2p, protocol, network, anti-dos, banning, year-2011]
created: 2015-08-30 03:16:39 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2011-September/000554.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, amir-taaki, zgenjix, bitcoin-enhancement-proposals,
  bips, bitcoin-improvement-proposals, announcement, year-2011]
created: 2015-08-30 03:17:24 UTC
notes: ''
---
url: https://gist.github.com/gavinandresen/39158239e36f6af69d6f
tags: [bitcoin, github, gist, gavinandresen, coblee, bip11, bip12, bip13, multisig]
created: 2015-08-30 03:18:57 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2011-September/000615.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, gavinandresen, multisig, bip11,
  bip12, bip13]
created: 2015-08-30 03:19:24 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2011-December/000812.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, amir-taaki, bip15, bip70, payment-protocol,
  bip, proposal]
created: 2015-08-30 03:26:23 UTC
notes: ''
---
url: https://letstalkbitcoin.com/blog/post/lets-talk-bitcoin-242-meet-the-lightning-network
tags: [letstalkbitcoin, bitcoin, podcast, lightning-network, rusty-russell, blockstream,
  interview]
created: 2015-08-30 03:52:14 UTC
notes: ''
---
url: https://www.ietf.org/rfc/rfc2119.txt
tags: [ietf, rfc, rfc2119, standard, RFCs, best-practices, best-current-practices,
  network-working-group]
created: 2015-08-30 13:25:32 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2011-December/000997.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, roconnor, OP_EVAL, OP_CODEHASH,
  proposal, russell-oconnor, OP_CHECKEDEVAL, year-2011]
created: 2015-08-30 13:29:10 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-January/001018.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2011, elden-tyrell, pruning,
  merkle-tree, utxos, scaling, scalability, transaction-pruning, stubbing, bandwidth,
  proposal]
created: 2015-08-30 13:30:38 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-January/001066.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, gavinandresen, isstandard,
  scriptsigs, scriptsig, extra-data, inputs, malleability]
created: 2015-08-30 13:33:39 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-January/001069.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, alberto-torres, merkle-tree,
  utxos, mtut, merkle-tree-of-utxos, utxo-merkle-tree, pruning, prunability, proposal,
  scaling, scalability, dithi, hash-tree, blockheaders, merkle-root, MTUO, mtuo, elden-tyrell]
created: 2015-08-30 13:39:21 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-February/001164.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, michael-gronager, gmaxwell,
  libbitcoin, optimization, speedup, fsync, berkeleydb, bdb, threading, async, speed,
  scalability, scaling]
created: 2015-08-30 13:39:59 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-February/001265.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, sipa, pieter-wuille,
  duplicate-transactions, vulnerability, security, txid, collisions, bip30, bip]
created: 2015-08-30 13:43:56 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-March/001293.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, watson-ladd, opcode,
  opcodes, OP_CHECKEXPSIG, hash-locked-transactions, hashlock, hashlocked, proposal,
  blinding, lamport-signature, gmaxwell]
created: 2015-08-30 13:45:59 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-April/001383.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, jgarzik, transactions,
  mempool, reliability, predictability, limbo, expiry, expiration, fill-or-kill, proposal]
created: 2015-08-30 13:51:19 UTC
notes: ''
---
url: http://www.ifex-project.org/
tags: [ifex, finance, financial-exchange, exchange, IIBAN, IMIC, IFEX, X-ISO4217-A3,
  commodities, protocols, software, development, standards, settlement]
created: 2015-08-30 13:52:43 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-April/001402.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, petertodd, proposal,
  trusted-identities, identities, reputation, trust, proof-of-burn, zeroconf]
created: 2015-08-30 13:55:44 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-April/001408.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, rebroad, blockheaders,
  syncup, synchronization, download, downloading, optimization, speedup, blockhash]
created: 2015-08-30 13:57:06 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=7972.msg116285#msg116285
tags: [bitcointalk, bitcoin, year-2011, mike-hearn, headers-only, spv, lightweight,
  clients, proposal, outline]
created: 2015-08-30 13:59:11 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-May/001469.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, jgarzik, empty-blocks,
  punishment, punishing, blocks, empty, penalty, discussion, proposal]
created: 2015-08-30 13:59:50 UTC
notes: ''
---
url: https://en.bitcoin.it/wiki/User:Gmaxwell/Reverse_header-fetching_sync
tags: [bitcoin, wiki, gmaxwell, headers, reverse-header-sync, blockheaders, syncup,
  synchronization, syncing, year-2012]
created: 2015-08-30 14:02:08 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-June/001518.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, mike-hearn, gmaxwell,
  pruning, blockheaders, post-pruning, blockchain, storage, optimization]
created: 2015-08-30 14:03:58 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-June/001529.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, alan-reiner, etotheipi,
  bip10, criticism]
created: 2015-08-30 14:04:34 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-June/001533.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, mike-hearn, scalability,
  scaling, pruning, satoshidice, fees, transaction-fees]
created: 2015-08-30 14:06:16 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-June/001550.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, gmaxwell, mike-hearn,
  scaling, scalability, proposals, flip-the-chain, commitments, block-size, max-block-size]
created: 2015-08-30 14:11:23 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-June/001589.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, alan-reiner, etotheipi,
  petertodd, ultimate-blockchain-compression, ultimate-compression, compression, trust-free,
  lite-nodes, verification, utxos, hash-tree, validation, memoryless, full-validation,
  pruning, merkle-tree]
created: 2015-08-30 14:14:23 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-June/001598.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, gmaxwell, blocks, validation-time,
  verification-time, relay-first, block-preview, relaying, faster-relaying, optimization,
  proposal]
created: 2015-08-30 14:15:15 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-June/001632.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, mike-hearn, gmaxwell,
  inflation-resistance, spv, fraud-proofs, scalability, scaling, blockheaders, proposal]
created: 2015-08-30 14:18:55 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-July/001645.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, sipa, pieter-wuille,
  ultraprune, pruning, ultrapruning, validation, utxos, pruned, proposal, announcement,
  optimization, scalability, scaling, implemented]
created: 2015-08-30 14:20:29 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-August/001790.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, matt-corallo, bluematt,
  bloom-filter, bloom-filters, spv, optimization, scalability, scaling]
created: 2015-08-30 14:23:51 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-August/001806.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, full-disclosure, security,
  vulnerability, CVE-2012-2459, merkle-hash, merkle-root, blockheader, be8651d]
created: 2015-08-30 14:25:09 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-September/001838.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, jgarzik, atomic-coin-swapping,
  atomic-coin-swaps, colored-coins, distributed-bonds, pybond, coin-swaps, swapping,
  atomic-swapping, atomic-swaps, coin-swapping, SIGHASH_ALL]
created: 2015-08-30 14:29:04 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-October/001897.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, gmaxwell, electrum, security]
created: 2015-08-30 14:31:03 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-October/001934.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, mike-hearn, matt-corallo,
  bluematt, bip37, bloom-filter, bloom-filters, bloom-filtering]
created: 2015-08-30 14:32:56 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-November/001960.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, gmaxwell, electrum, security,
  follow-up]
created: 2015-08-30 14:33:40 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-November/001968.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, gavinandresen, payment-protocol,
  bip70, bip, payments, invoices, receipts]
created: 2015-08-30 14:34:48 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2012-December/002031.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2012, michael-gronager, ceptacle,
  satoshi-dust, dust, chain-vacuuming, utxos, utxo-expiration, utxo-pruning, satoshidice,
  demurrage, unmoved-coins, old-coins, old-utxos, coin-age, coin-aging, utxo-aging,
  utxo-set, utxo-set-size, proposal, pruning, escheatment, garbage-collect, garbage-collection]
created: 2015-08-30 14:38:12 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-February/002177.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, petertodd, block-size,
  max-block-size, fidelity-bonds, fidelity-bonded, fidelity-bonding, security, 1GB-blocks,
  gigablocks, gigabyte-blocks, fraud-proofs]
created: 2015-08-30 14:45:32 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-February/002170.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, gmaxwell, block-size,
  max-block-size, centralization, decentralization]
created: 2015-08-30 14:48:22 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-February/002186.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, gmaxwell, petertodd,
  fee-sniping, fees, orphans, orphan-blocks, orphan-block, mining, fee-snipe, miners,
  low-subsidy, nlocktime-immaturity, nlocktime-immature, block-size, max-block-size]
created: 2015-08-30 14:51:44 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-February/002189.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, petertodd, fidelity-bonded-ledgers,
  fidelity-bonded, fidelity-bonds, fidelity-bond, OP_CHECK_DOUBLE_SPEND_PROOF, opcode,
  opcodes, proposal, OP_CHECK_PAYMENT, merkle-sum-tree, sum-tree, chaum, chaum-token,
  OP_CHECK_SCRIPT_VERSION, unspent-chaum-tokens, unspent-chaum-token-redemption-opcode,
  unspent-chaum-token-redemption]
created: 2015-08-30 14:53:50 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-March/002199.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, petertodd, utxos, merkle-sum-tree,
  sum-tree, fraud-notices, spv, censorship, chaum, chaum-token, fraud-proofs, block-size,
  max-block-size, censorship-resistance]
created: 2015-08-30 14:56:50 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-April/002394.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, petertodd, utxos, merkle-tree,
  txouts, txins, transactions, pruning, proposal, scalability, scaling]
created: 2015-08-30 15:01:07 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-May/002564.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, petertodd, proposal,
  scalability, scaling, hashcash, partial-transaction, merkle-path, pow-blockheader,
  probabilistic-payments, powpay, pow-withholding, withholding, block-size, max-block-size,
  txout-hashcash, txouts]
created: 2015-08-30 15:07:22 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-July/002857.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, adam-back, adam3us, libzerocoin,
  matthew-green, ian-miers, announcement, privacy, cryptography, zerocoin, probabilistic-verification,
  verification]
created: 2015-08-30 15:14:09 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-July/002917.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, petertodd, spv, spv-quickstart,
  spv-node, bloom-filters, bloom-filter, security]
created: 2015-08-30 15:15:17 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-July/002976.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, tier-nolan, tiernolan,
  low-pow, relaying, relay-policy, blocks, low-pow-headers, blockheaders, forks, proposal]
created: 2015-08-30 15:16:49 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-September/003275.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, petertodd, near-block,
  blocks, proof-of-propagation, reliability, proposal, transactions, transaction-propagation,
  propagation, transaction-fees, transaction-fee, fees, fee, miners, near-blocks,
  difficulty, utxo-commitments, bloom-filter-match-withholding, roposal]
created: 2015-08-30 15:24:06 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-October/003421.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, petertodd, miners, fees,
  fee, transaction-fees, transaction-fee, fee-estimation, proposal]
created: 2015-08-30 15:27:23 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-November/003533.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, petertodd, replace-by-fee,
  replace-for-fee, empool, reliability, transactions]
created: 2015-08-30 15:28:14 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-November/003596.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, matt-corallo, bluematt,
  relaynode, announcement, relay, relaying, high-speed]
created: 2015-08-30 15:30:32 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-November/003714.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, petertodd, timestamping,
  proof-of-publication, mining, validation, scalability, scaling, anti-double-spend,
  utxo-commitments, utxos, proposal, proposals, proof-of-consent]
created: 2015-08-30 15:33:33 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-November/003748.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, petertodd, proof-of-storage,
  proposal, storage, data]
created: 2015-08-30 15:34:38 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-January/004007.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, gmaxwell, bytecoin, payment-protocol,
  privacy]
created: 2015-08-30 15:36:39 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-January/004020.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, petertodd, stealth-addresses,
  proposal, bytecoin]
created: 2015-08-30 15:38:27 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-January/004134.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, daniel-fraga, child-pays-for-parent,
  proposal]
created: 2015-08-30 15:39:58 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2013-December/003921.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2013, maaku, hash-tree, merkle-hash-tree,
  ultimate-blockchain-compression, compression, merkle-compressed-data-structure,
  bip, proposal, trie-prefix-tree-data-structure, binary-prefix-tree, proof-updatable-hashing,
  utxo-commitments]
created: 2015-08-30 15:42:59 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-February/004270.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, petertodd, adam3us, adam-back,
  gmaxwell, reusable-addresses, addresses, identity-based-encryption, weil-pairing]
created: 2015-08-30 15:46:14 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-March/004724.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, adam-back, adam3us, 1-way-pegging,
  2-way-pegging, sidechains, sidechain, spv-proof, pegging, fraud-proof, fiat-shamir-transform,
  private-chains, private-chain, zero-knowledge, proposal, scalability, scaling]
created: 2015-08-30 15:50:36 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-March/004727.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, maaku, compact-spv-proofs,
  spv-proofs, blockheader-commitments, commitments, hash-tree, blockheaders, 2-way-pegging,
  sidechains, headers-first, scalability, scaling, proposal]
created: 2015-08-30 15:51:41 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-March/004797.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, petertodd, treechains,
  tree-chains, scalability, scaling, proposal, binary-radix-tree, merkle-root, merkle-tree,
  child-chains, overview]
created: 2015-08-30 15:55:49 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=309073.0
tags: [bitcointalk, bitcoin, socrates1024, andrew-miller, amiller, non-outsourceable-puzzles,
  non-outsourceable, puzzles, hosted-mining, mining, mining-pools, zero-knowledge-porofs,
  zero-knowledge, cryptography, gmaxwell, year-2014]
created: 2015-08-30 15:57:29 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-March/004813.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, petertodd, proof-of-reserves,
  moon-math, merkle-tree, merkle-sum-tree, sum-tree, proposal, privacy]
created: 2015-08-30 15:58:12 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-April/005284.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, tier-nolan, tiernolan,
  tree-chains, treechains]
created: 2015-08-30 16:04:19 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-April/005504.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, jtimon, jorge-timon,
  child-pays, child-pays-for-parent, replace-by-fee]
created: 2015-08-30 16:05:14 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-April/005546.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, tier-nolan, tiernolan,
  hash-locked, hashlock, hashlocked, hash-lock, transactions, proposal, hash]
created: 2015-08-30 16:06:48 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-April/005620.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, petertodd, replace-by-fee,
  scorched-earth, payments, transactions, SIGHASH_ANYONECANPAY]
created: 2015-08-30 16:08:59 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-May/005898.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, gmaxwell, network, optimization,
  bitcoin-core, sleep, semaphores, semaphore, p2p, protocol, optimizing]
created: 2015-08-30 16:11:16 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-June/005958.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, petertodd, proposal,
  timelock, encryption, cryptography, ncentives, timelocked, timelocking]
created: 2015-08-30 16:12:02 UTC
notes: ''
---
url: https://github.com/azeteki/bitcoind-ncurses
tags: [github, bitcoin, bitcoind, bitcoin-core, ncurses, cli, ui, open-source, software]
created: 2015-08-30 16:18:48 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-July/006288.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, kaz-wesley, proposal,
  redundancy, redundant-transactions, redundants, blocks, propagation, efficiency,
  optimization]
created: 2015-08-30 16:20:12 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-August/006438.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, petertodd, SIGHASH_ANYONECANPAY,
  denial-of-service, security, vulnerability, extra-inputs, inputs, relaying, relay,
  replace-by-fee, writeup]
created: 2015-08-30 16:22:01 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-October/006662.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, petertodd, checklocktimeverify,
  OP_CHECKLOCKTIMEVERIFY, OP_CLTV, bip, draft, proposal, expiration, expiry, txouts,
  outputs, transaction, paypub, payment-channels, scalability, scaling]
created: 2015-08-30 16:25:33 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-November/006878.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, petertodd, SIGHASH_SINGLE,
  bug, consensus, consensus-critical, security, carefulness, code-review, cautionary-tale]
created: 2015-08-30 16:28:33 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-December/006994.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, petertodd, zookeyv, proof-of-sacrifice,
  proof-of-burn, burn-mining, sidechains, zerocoin, censorship-resistance]
created: 2015-08-30 16:32:33 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-December/006982.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, petertodd, proof-of-publication,
  timestamping, proof-of-receipt, proof-of-non-publication, proof-of-membership]
created: 2015-08-30 16:33:19 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2014-December/006988.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2014, petertodd, payment-channels,
  micropayments, hub-and-spoke, hubs, trustless, OP_CHECKLOCKTIMEVERIFY, OP_CLTV,
  payments, multi-hop, multi-hub, scalability, scaling]
created: 2015-08-30 16:34:13 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-January/007089.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, nathan-cook, payment-channels,
  bi-directional, micropayments, OP_CHECKLOCKTIMEVERIFY, OP_CLTV, proposal, scalability,
  scaling]
created: 2015-08-30 16:37:44 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-January/007097.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, gmaxwell, openssl, incompatibility,
  security, bug, consensus, forking, announcement]
created: 2015-08-30 16:39:24 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-January/007185.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, slush, SIGHASH_WITHINPUTVALUE,
  proposal, sighash, sighash-types]
created: 2015-08-30 16:40:58 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-February/007404.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, petertodd, replace-by-fee,
  writeup, fees, fee, transaction-fees, transaction-fee, mempool, reliability]
created: 2015-08-30 16:42:44 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-March/007626.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, andrew-miller, amiller,
  socrates1024, research-perspectives, research, paper, cryptocurrency, science, folk-lore,
  arvind-narayanan, jeremy-clark, ed-felten, josh-kroll, systemization, security,
  announcement]
created: 2015-08-30 17:05:04 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-March/007713.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, petertodd, factom, criticism,
  proof-of-publication]
created: 2015-08-30 17:06:46 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-March/007714.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, matt-corallo, bluematt,
  relative-checklocktimeverify, OP_CHECKLOCKTIMEVERIFY, checklocktimeverify, OP_RELATIVECHECKLOCKTIMEVERIFY,
  OP_CLTV, OP_RCLTV, proposal, scalability, scaling]
created: 2015-08-30 17:07:35 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-April/007804.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, matt-corallo, bluematt,
  relative-checklocktimeverify, OP_CHECKLOCKTIMEVERIFY, checklocktimeverify, OP_RELATIVECHECKLOCKTIMEVERIFY,
  OP_CLTV, OP_RCLTV, proposal, scalability, scaling, petertodd]
created: 2015-08-30 17:08:59 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-May/007860.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, matt-corallo, bluematt,
  petertodd, nop-scarcity, opcodes, opcode-allocation, OP_EXTENDED, OP_PREVOUT_HEIGHT_VERIFY,
  OP_PREVOUT_DATA, nlocktime, locktime, proposal, scalability, scaling]
created: 2015-08-30 17:10:23 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-May/007880.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, gmaxwell, block-size,
  max-block-size, flexcap, decentralization, centralization, security, fees, dan-kaminsky]
created: 2015-08-30 17:12:06 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-May/007970.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, tiernolan, tier-nolan,
  OP_CLTV, OP_CHECKLOCKTIMEVERIFY, checklocktimeverify, assurance-contracts, assurance-contract,
  mining, miners, proposal]
created: 2015-08-30 17:13:52 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-May/008000.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, sipa, pieter-wuille,
  proposals, proposal, propagation, blocks, relay-network, bluematt, matt-corallo,
  gavinandresen, IBLT, iblt, set-reconciliation, erasure-coding, gmaxwell, network-block-coding,
  ropagation-delay]
created: 2015-08-30 17:15:45 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-May/008110.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, gmaxwell, proposals,
  proposal, archival-nodes, blockchain, storage, partial-nodes, pruning, chain-pruning,
  pruned-nodes, prunes, performance, block-storage, scalability, scaling]
created: 2015-08-30 17:17:38 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-May/008151.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, sipa, pieter-wuille,
  malleability, transaction-ids, txid, non-malleable, inputs, transactions, extended-sighash,
  sighash, ntxid, normalized-txid, soft-fork, checksig, OP_CHECKSIG, proposal]
created: 2015-08-30 17:19:33 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-May/008248.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, petertodd, first-seen-safe,
  first-seen, replace-by-fee, reliability, transactions, FSS-RBF, fss-rbf, zeroconf,
  mempool, proposal]
created: 2015-08-30 17:20:59 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-May/008283.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, maaku, sequence-numbers,
  proposal, OP_CHECKSEQUENCEVERIFY, OP_CSV, checksequenceverify, nsequence, transaction-replacement]
created: 2015-08-30 17:21:47 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-May/008356.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, adam-back, adam3us, extension-block,
  block-size, max-block-size, scalability, scaling, proposal, soft-fork]
created: 2015-08-30 17:23:08 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-June/008447.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, maaku, sequence-numbers,
  proposal, OP_CHECKSEQUENCEVERIFY, OP_CSV, checksequenceverify, nsequence, transaction-replacement,
  OP_RCLTV, OP_RELATIVECHECKLOCKTIMEVERIFY, relativechecklocktimeverify, bip, draft,
  bip68]
created: 2015-08-30 17:25:08 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-June/008549.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, nathan-wilcox, leastauthority,
  least-authority, spv, fee-discovery, blockheaders, proposal, fee-statistics, statistics,
  blockheader-fee-data]
created: 2015-08-30 17:28:54 UTC
notes: ''
---
url: https://letstalkbitcoin.com/ltb104-tree-chains-with-peter-todd/
tags: [letstalkbitcoin, bitcoin, petertodd, tree-chains, treechains, podcast, interview]
created: 2015-08-30 17:32:28 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-June/009253.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, petertodd, replace-by-fee,
  deployment, schedule, bip, draft, proposal]
created: 2015-08-30 17:32:57 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-July/009343.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, year-2015, proposal, michael-ruddy,
  ruddy, flexpiration, bip65, smart-contract, OP_CHECKLOCKTIMEVERIFY, OP_CLTV, checklocktimeverify,
  escrow, flexible-expiration-time]
created: 2015-08-30 17:34:57 UTC
notes: ''
---
url: http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-August/010198.html
tags: [bitcoin, bitcoin-dev, mailing-list, email, btcdrak, maaku, checksequenceverify,
  OP_CHECKSEQUENCEVERIFY, OP_CSV, bip, draft, bip-csv, opcode, soft-fork, proposal,
  transactions, relative-locktime, locktime, relative]
created: 2015-08-30 17:40:40 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=99631.0
tags: [bitcointalk, bitcoin, andrew-miller, amiller, socrates1024, theory, decentralization,
  proof-of-work, security, research, year-2012]
created: 2015-08-30 17:50:29 UTC
notes: ''
---
url: https://bitcointalk.org/index.php?topic=423596.0
tags: [bitcointalk, bitcoin, andrew-miller, amiller, proposal, mixing, zerocoin, coinjoin,
  anonymity, mixcoin, joinmarket, mixes, privacy, year-2014, research, paper]
created: 2015-08-30 17:53:07 UTC
notes: ''
